In questa guida vedremo come installare la versione in fase di sviluppo di GNOME 3.12 in Fedora 20 grazie ad un nuovo repository di terze parti.

Gnome 3.12 in Fedora 20
Mancano ormai poche settimane all’attesissimo rilascio di GNOME 3.12 importante aggiornamento che rende ancora più stabile, completo e performante il famoso ambiente desktop open source.
Al momento del rilascio di GNOME 3.12 (previsto per metà aprile) la nuova versione sarà disponibile nelle varie distribuzioni rolling release come ad esempio Arch Linux, Gentoo, Sabayon, Debian SID ecc mentre per Ubuntu potremo installare la nuova versione attraverso i PPA GNOME 3 Next mantenuti dal team Ubuntu GNOME. Se abbiamo Fedora 20 possiamo già installare / aggiornare GNOME 3.12 grazie al nuovo repository di terze parti rhughes-f20-gnome-3-12.repo.

Prima di procedere con la guida ricordo che il repository include la versione in fase di sviluppo di GNOME 3.12 nella quale sono presenti ancora diversi bug oltre a non disporre del supporto per Wayland.

Per installare GNOME 3.12 in Fedora 20 per prima cosa dovremo aggiungere il nuovo repository per farlo basta digitare da terminale:

cd /etc/yum.repos.d
su
nano rhughes-f20-gnome-3-12.repo

e aggiungiamo:

[rhughes-f20-gnome-3-12]
name=Copr repo for f20-gnome-3-12 owned by rhughes
baseurl=http://copr-be.cloud.fedoraproject.org/results/rhughes/f20-gnome-3-12/fedora-$releasever-$basearch/
skip_if_unavailable=True
gpgcheck=0
enabled=1

salviamo il tutto con Ctrl+x e poi s e aggiorniamo la nostra distribuzione digitando:

yum update

al termine dell’aggiornamento basta riavviare ed ecco che avremo la versione in fase di sviluppo di Gnome 3.12 in Fedora 20.

  • Catz

    Auguri per quando gli aggiornamenti ufficiali Fedora andranno in conflitto con quelli provenienti da questo repo. Fedora È la distro Gnome per eccellenza, non vedo perchè installare un altro repo, al limite se si vuole avere la versione super aggiornata si può abilitare il repo rawide

    • fin’ora non mi ha dato alcun problema

      • andrea

        non posso installarlo…..non si risolvono dipendenze in rytmobox e network meneger…. possibile?

        • prova a dare yum update –skip-broken
          e vedrai che si installa

          • andrea

            purtroppo niente….mi da sempre error…Errore: Versioni multilib protette:

          • Marcantonio98

            Anche a me da quest’errore, come dobbiamo fare per aggiornare la distribuzione a GNOME 3.12?

    • Carmelo

      Il signor Catz evidentemente è mal informato visto che Gnome 3.12 potrà vedere la luce solo a partire da Fedora 21 (e c’è la possibilità che passino direttamente alla 3.14). Mi stupisce che uno non possa capire la necessità e l’importanza di un tale aggiornamento visto che l’esperienza utente porta ad una maggiore stabilità dei rami 3.12.x e 3.13.x (e quindi della futura fedora 21). Il repo rawhide non installa obbligatoriamente release stabili, gnome 3.12 lo è. Seconda cosa quel repository è gestito da un packager di Fedora ed è fatto apposta per non avere dei conflitti con gli aggiornamenti di fedora (che non arriveranno mai visto che per F20 gnome 3.12 non verrà rilasciato). Buona installazione, confermo la facilità dell’aggiornamento!

  • Luca Cavallaro

    ma per archlinux si sa qualcosa? D:

No more articles